com.holonplatform.datastore.jdbc.config

## Interface JdbcDatastoreCommodityContext

- All Superinterfaces:
    com.holonplatform.core.datastore.DataContextBound, com.holonplatform.core.datastore.Datastore, com.holonplatform.core.datastore.DatastoreCommodityContext, com.holonplatform.core.datastore.DatastoreCommodityRegistrar<JdbcDatastoreCommodityContext>, com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport, JdbcDatastore, Serializable

      public interface JdbcDatastoreCommodityContext
      extends JdbcDatastore, com.holonplatform.core.datastore.DatastoreCommodityContext

  JDBC Datastore `DatastoreCommodityContext`.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.jdbc.JdbcDatastore

      `JdbcDatastore.Builder<D extends JdbcDatastore>, JdbcDatastore.ConnectionOperation<R>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.Datastore

      `com.holonplatform.core.datastore.Datastore.OperationResult, com.holonplatform.core.datastore.Datastore.OperationType, com.holonplatform.core.datastore.Datastore.WriteOption`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.DatastoreCommodityContext

      `com.holonplatform.core.datastore.DatastoreCommodityContext.CommodityConfigurationException, com.holonplatform.core.datastore.DatastoreCommodityContext.CommodityNotAvailableException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<com.holonplatform.jdbc.DatabasePlatform>` | `getDatabase()` Get the database type to which `DataSource` is connected.
    `DataSource` | `getDataSource()` Get the `DataSource` bound to the datastore.
    `JdbcDialect` | `getDialect()` Get the `JdbcDialect` bound to the datastore.
    `boolean` | `isTraceEnabled()` Get whether to trace Datastore operations.

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.JdbcDatastore

      `builder, withConnection`

    - ### Methods inherited from interface com.holonplatform.core.datastore.Datastore

      `bulkDelete, bulkInsert, bulkUpdate, create, delete, getAvailableCommodities, insert, query, refresh, save, update`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport

      `addExpressionResolver, getExpressionResolvers, removeExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataContextBound

      `getDataContextId`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityRegistrar

      `getCommodityFactoryType, registerCommodity`

- - ### Method Detail

    - #### getDataSource

          DataSource getDataSource()

      Get the `DataSource` bound to the datastore.
      Returns:
        Datastore DataSource

    - #### getDatabase

          Optional<com.holonplatform.jdbc.DatabasePlatform> getDatabase()

      Get the database type to which `DataSource` is connected.
      Returns:
        The `DatabasePlatform` of the `DataSource` database, empty if not available

    - #### getDialect

          JdbcDialect getDialect()

      Get the `JdbcDialect` bound to the datastore.
      Returns:
        Datastore dialect

    - #### isTraceEnabled

          boolean isTraceEnabled()

      Get whether to trace Datastore operations.
      Returns:
        the trace `true` if tracing is enabled, `false` otherwise

Copyright © 2017 The Holon Platform. All rights reserved.